/*led.h
 Gerardo Marx April/19/2020*/
#ifndef LED_H
#define LED_H
#include<iostream>
#include<fstream>
#include<string>
#include<sstream>

class LED{
private:
  std::string path;
  int number;
  virtual void writeLED(std::string filename, std::string value);
  virtual void removeTrigger();
public:
  LED(int number);
  virtual void turnOn();
  virtual void turnOff();
  virtual void flash(std::string delayms);
  virtual void outputState();
  virtual ~LED();
};

#endif
